commit:     0ea9faf0672b851e6b253b535e1cd22e81ff4486
Author:     Vladimir Pavljuchenkov (SpiderX) <spiderx <AT> spiderx <DOT> dp 
<DOT> ua>
AuthorDate: Sat Oct  5 16:17:34 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Nov 17 08:31:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ea9faf0

x11-misc/libinput-gestures: version bump to 2.45

Closes: https://bugs.gentoo.org/696530
Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Vladimir Pavljuchenkov <spiderx <AT> spiderx.dp.ua>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-misc/libinput-gestures/Manifest                |  1 +
 .../libinput-gestures-2.45.ebuild                  | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/x11-misc/libinput-gestures/Manifest 
b/x11-misc/libinput-gestures/Manifest
index f7e67f49388..f6afd4314c9 100644
--- a/x11-misc/libinput-gestures/Manifest
+++ b/x11-misc/libinput-gestures/Manifest
@@ -1 +1,2 @@
 DIST libinput-gestures-2.41.tar.gz 18098 BLAKE2B 
792ebab29cb5ea24cbb696eac6ed651632db4079d8470784f45a1055d99c9672f8bfa7e8ddc08b80417c91a47f540fdf13f7a071c73bb7a654ce66508f181a38
 SHA512 
7f718275d5b4b722df52adb597f0344427500ca730c154cf6fd3de2f06d7081e6214cc954addc34594f17f10c70d081fecbfc1a22d16726b6ea820019dae6d83
+DIST libinput-gestures-2.45.tar.gz 18645 BLAKE2B 
555556e683eac1944407e169d7ad9cac23fe3b91b781dbba9367b86bd73556d3e0aa550008563c4c7f6726a12dc6ac4a458f9dae5782db0d8a23dc2f12a897f8
 SHA512 
27eac34826c3f02a16bb5c6c892e2bcc12ed27a8a1cb64bde945e869161f30701240deebbd278318f418319f1c98be13dc90eb95f9354f624939af4b7471762f

diff --git a/x11-misc/libinput-gestures/libinput-gestures-2.45.ebuild 
b/x11-misc/libinput-gestures/libinput-gestures-2.45.ebuild
new file mode 100644
index 00000000000..213fbc54cfa
--- /dev/null
+++ b/x11-misc/libinput-gestures/libinput-gestures-2.45.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5..7} )
+
+inherit python-single-r1 xdg-utils
+
+DESCRIPTION="Actions gestures on your touchpad using libinput"
+HOMEPAGE="https://github.com/bulletmark/libinput-gestures";
+if [[ ${PV} == *9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/bulletmark/${PN}.git";
+else
+       SRC_URI="https://github.com/bulletmark/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=dev-libs/libinput-1.8.0
+       x11-misc/xdotool
+       x11-misc/wmctrl"
+DEPEND=">=dev-libs/libinput-1.8.0
+       dev-util/desktop-file-utils"
+
+src_prepare() {
+       default
+
+       # Fix docdir installation path
+       sed '/^DOCDIR/s@$NAME@${PF}@' -i libinput-gestures-setup || die
+}
+
+src_test() { :; }
+
+pkg_postinst() {
+       xdg_icon_cache_update
+
+       elog "You must be in the input group to read the touchpad device."
+
+       if ! has_version x11-libs/gtk+:3 ; then
+               elog "${PN}-setup script supports Gnome 3 via x11-libs/gtk+:3."
+       fi
+       if ! has_version kde-plasma/kde-cli-tools:5 ; then
+               elog "${PN}-setup script supports Plasma 5 via 
kde-plasma/kde-cli-tools:5."
+       fi
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to